---
title: "Oppsumering av TTT4120"
description: "En liten oppsummering og formler i TTT4120, høsten 2020."
date: 2020-12-06
math: true
---

## Diskret tid

Denne typen signaler baserer seg på at de kan representeres av en sekvens med tall. 
Sekvensen kan representere amplituden til et signal, ved tidspunkt $n$.

$$ x[n] = \{\ldots, x[-1], \underline{x[0]}, x[1], \ldots\} $$

Der verdien med strek under er målingen ved $n=0$.

### Sampling

Signalene kan lages ved å *sample* et analogt signal. 

$$ x[n] \stackrel{_\Delta}{=} x_a(nT)$$

Der tiden mellom samples er gitt ved $T = \frac{1}{F_S}$, der samplings-frekvensen (samples per sekund) er $F_S$.

$T$ trenger ikke å være tid, men f.eks. posisjonen på en stang.

### Diskret-tid operasjoner

**Skalering, addering, og multiplikasjon:**

$$ 
\begin{gather*}
	y[n] = ax[n] \\
	y[n] = x_1[n] + x_2[n] \\
	y[n] = x_1[n]x_2[n]
\end{gather*} 
$$

**Tidsforskyvninger og folding**

$$ 
\begin{gather*}
	y[n] = x[n-k] \\
	y[n] = -x[n] 
\end{gather*} 
$$

**Tidsforskyvninger sammen med folding**

$$ y[n] = x[-n+k] $$


### Egenskaper til Diskret tid

En sekvens $x[n]$ er **kausal** dersom:

$$ x[n] = 0, n<0 $$

En sekvens $x[n]$ er **periodisk** med en periode $N$ dersom:

$$ x[n+N] = x[n], \forall n $$

### Klassifikasjoner til Diskret tid

En sekvens $x[n]$ er **bundet** dersom:

$$ |x[n]| \leq B_x \leq \infty $$

En sekvens $x[n]$ er **Absolutt summerbar** dersom:

$$ \sum_{n=-\infty}^\infty |x[n]| < \infty $$

En sekvens $x[n]$ er **Kvadratisk-summerbar** dersom energien:

$$ E_x = \sum_{n=-\infty}^\infty |x[n]|^2 < \infty $$

Dette signalet er et **energisignal**, ikke alle sekvenser er energisignaler. Periodiske er ikke.

Den gjennomsnittlige effekten til en sekvens, er derfinert:

$$ P_x = \lim_{n\rightarrow\infty} \frac{1}{2N + 1}\sum_{n=-N}^N |x[n]|^2 $$

### Viktige typer sekvenser

#### Enhetspulsen (Delta-puls)

$$ \delta[n-k] = 
\begin{cases}
	1 & n=k \\
	0 & n\neq k
\end{cases} $$

Denne du får standardversjonen ved å sette $k=0$.

#### Enhetssteg

$$ u[n-k] = 
\begin{cases}
	1 & n\geq k \\
	0 & n < k
\end{cases}
$$

Denne du får standardversjonen ved å sette $k=0$.






